<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>

  <xs:annotation>
    <xs:documentation >
      IRF module action definition
    </xs:documentation>
  </xs:annotation>
  <xs:element name="IRF">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="ConvertMode" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              Action table
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="StackMode" type="xs:boolean">
                <xs:annotation>
                  <xs:documentation>Stack mode will be changed to</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="ConvertCfg" type="xs:boolean">
                <xs:annotation>
                  <xs:documentation>Whether or not convert the configuration before change the stack mode</xs:documentation>
                </xs:annotation>
              </xs:element>              
            </xs:all>
          </xs:complexType>
        </xs:element> 
        <xs:element name="PortConfiguration" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              Action table
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="Activate" type="xs:string" fixed="">
                <xs:annotation>
                  <xs:documentation>Set irf port configuration active</xs:documentation>
                </xs:annotation>
              </xs:element>              
            </xs:all>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
